Subject: Re: bug#61274: 29.0.60; dabbrev-capf signals errors

From: Daniel Mendler <[email-masked]>
Date: Sat, 4 Feb 2023 17:03:26 +0100

On 2/4/23 14:16, Eli Zaretskii wrote:
> The patch below fixes the error.

Thanks!

> Regarding "No dynamic expansion" error: what did you expect to happen
> instead and why?  IOW, what is the expected result of having
> dabbrev-capf alone in completion-at-point-functions, and then typing
> "x M-TAB"?

I would expect the completion UI to show a message, instead of an error
from the Capf. For example if you start emacs -Q, type "nonexistent
M-TAB" in the scratch buffer to access the normal Elisp completions.
Then you will see the message "No match" in the minibuffer. If
`dabbrev-capf' would not throw an error, we would get the same message.

Daniel